# -*- coding: utf-8 -*-
#------------------------------------------------------------
#Catoal Kodi Addon
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.bomber23'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "UCyJhIX3p3dAC12jxtb_jY2Q"
YOUTUBE_CHANNEL_ID_2 = "UCyJhIX3p3dAC12jxtb_jY2Q"
YOUTUBE_CHANNEL_ID_3 = "UCyJhIX3p3dAC12jxtb_jY2Q"
YOUTUBE_CHANNEL_ID_4 = "UCyJhIX3p3dAC12jxtb_jY2Q"
YOUTUBE_CHANNEL_ID_5 = "UCyJhIX3p3dAC12jxtb_jY2Q"
YOUTUBE_CHANNEL_ID_6 = "UCyJhIX3p3dAC12jxtb_jY2Q"
YOUTUBE_CHANNEL_ID_7 = "UCyJhIX3p3dAC12jxtb_jY2Q"

# Entry point
def run():
    plugintools.log("docu.run")
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="                                [COLOR blue] [B]Bienvenidos a mi Addon de youtube.[/B][/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="                                 [COLOR red] [B]Entra en el mundo de BOMBER 23[/B][/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="                                [COLOR blue][B]Y diviertete[/B][/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="                               [COLOR blue][B]disfruta de mis videos obre pokemons y otros juegos[/B][/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="                               [COLOR blue][B]No olvides suscribirte a mi Canal[/B][/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="                               [COLOR blue][B]AZTE CON TODOS!!![/B][/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_6+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True ) 
		
    plugintools.add_item( 
        #action="", 
        title="                           [COLOR lime]*****[B] PINCHA AQUI[/B] *****[/COLOR]",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_7+"/",
        thumbnail="https://yt3.ggpht.com/-HogW-BE-XOs/AAAAAAAAAAI/AAAAAAAAAAA/V9zLyItNyCA/s100-c-k-no-mo-rj-c0xffffff/photo.jpg",
		fanart="https://i.ytimg.com/vi/CKsN2VoBPy4/hqdefault.jpg",
        folder=True ) 
		
run()
